* {
  margin: 0;
  padding: 0;
}
.container {
  background-image: linear-gradient(to right, white, rgb(120, 209, 221));
  width: 100vw;
  height: 100vh;
}
h1 {
  text-align: center;
  font-family: "Pacifico", cursive;
  position: relative;
  top: 20px;
}
#calculator {
  width: 320px;
  height: 540px;
  background-color: #9bcbeb;
  margin: 0 auto;
  border: 2px solid black;
  border-radius: 5px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  position: relative;
  top: 30px;
}
#result {
  height: 120px;
  background-color: #bdddf3;
}
#history {
  text-align: right;
  height: 20px;
  margin: 0 20px;
  padding-top: 20px;
  font-size: 15px;
  color: #919191;
}
#output {
  text-align: right;
  height: 60px;
  margin: 10px 20px;
  font-size: 30px;
}
#keyboard {
  height: 400px;
  border-top: 2px solid black;
}
.operator,.number,.empty,.clr,.equal {
  width: 50px;
  height: 50px;
  margin: 15px;
  float: left;
  border-radius: 50%;
  border-width: 0;
  font-weight: bold;
  font-size: 15px;
}
.clr {
  background-color: #e16868;
}
.empty {
  background-color: #9bcbeb;
}
.color {
  background-color: #f1a240;
}
.number,.operator,.clr,.equal {
  cursor: pointer;
}
.operator:active,.number:active,.clr:active,.equal:active {
  font-size: 13px;
  color: #2bc226;
}
.number:hover {
  box-shadow: 0px 0px 9px 5px rgba(61, 146, 168, 0.69);
  -webkit-box-shadow: 0px 0px 9px 5px rgba(61, 146, 168, 0.69);
  -moz-box-shadow: 0px 0px 9px 5px rgba(61, 146, 168, 0.69);
}
.color:hover {
  box-shadow: 0px 0px 9px 5px rgba(230, 129, 12, 0.69);
  -webkit-box-shadow: 0px 0px 9px 5px rgba(230, 129, 12, 0.69);
  -moz-box-shadow: 0px 0px 9px 5px rgba(230, 129, 12, 0.69);
}
.clr:hover {
  box-shadow: 0px 0px 9px 5px rgba(227, 107, 121, 0.67);
  -webkit-box-shadow: 0px 0px 9px 5px rgba(227, 107, 121, 0.67);
  -moz-box-shadow: 0px 0px 9px 5px rgba(227, 107, 121, 0.67);
}